Skip to main content
GET
/
api
/
v1
/
automation
/
connectors
curl "https://your-collabase.ch/api/v1/automation/connectors" \
  -H "Authorization: Bearer cba_live_..."
[
  {
    "id": "slack",
    "name": "Slack",
    "description": "Post messages and manage channels in Slack.",
    "authType": "apiKey",
    "category": "communication",
    "actions": [
      { "id": "sendMessage", "name": "Send Message" },
      { "id": "sendDm", "name": "Send Direct Message" }
    ],
    "schemaFields": [
      { "key": "botToken", "label": "Bot Token", "type": "string", "required": true }
    ]
  }
]
Returns the full list of connectors available in this Collabase instance, including their actions and configuration field schemas. Useful for building dynamic UIs that enumerate available integrations.

Response

[].id
string
Connector ID, e.g. slack.
[].name
string
Display name.
[].description
string
Short description.
[].authType
string
Auth method this connector uses.
[].category
string
Category group.
[].actions
array
Action definitions — id, name, description.
[].schemaFields
array
Connection credential field definitions.
curl "https://your-collabase.ch/api/v1/automation/connectors" \
  -H "Authorization: Bearer cba_live_..."
[
  {
    "id": "slack",
    "name": "Slack",
    "description": "Post messages and manage channels in Slack.",
    "authType": "apiKey",
    "category": "communication",
    "actions": [
      { "id": "sendMessage", "name": "Send Message" },
      { "id": "sendDm", "name": "Send Direct Message" }
    ],
    "schemaFields": [
      { "key": "botToken", "label": "Bot Token", "type": "string", "required": true }
    ]
  }
]